Erro ao tentar acessar as configurações da página do Item no "Personalizar" do Blocksy

Boa tarde a todos, tudo bem?

Não estou conseguindo acessar as configurações da página do item de uma coleção no “Personalizar” do Blocksy. O menu não carrega e a seta para voltar ao menu principal não funciona. Isso está ocorrendo em todas as páginas do item e apenas nelas, todo o resto do “Personalizar” está funcionando normalmente. Segue algumas imagens:


Nessa instalação estou usando:
Wordpress 5.8
Tainacan 0.18.3
Blocksy Companion 1.8.7.2
Suporte Tainacan para Blocksy 0.1.10
Tema Blocksy 1.8.4.2

O que pode estar ocorrendo?

Desde já agradeço
abraços
Thiago

Olá @thiagomonteiro.geo!

Cara que estranho… não tenho certeza do que pode estar causando isso. Uma coisa que posso dizer de cara é que fizemos uma série de ajustes para melhorar a compatibilidade com o WP 5.8 que vamos lançar ainda esta semana. Se você puder testar com esta versão e nos dizer se o erro persiste, já será de muita ajuda!

Enquanto isso, vou dar uma olhada se pode ser algo no plugin do suporte mesmo…

Fala @mateus.m.luna, obrigado pelo retorno.

Então, reproduzi o erro num ambiente local de teste meu aqui e o problema persistiu mesmo usando o Tainacan nessa versão que você me mandou.
Fiz o downgrade do Wp para a 5.7.2 e voltei o Tainacan 0.18.3 e o problema continuou também.
O que atualizou faz pouco tempo, esses dias se não me engano, foi o próprio tema Blocksy né? Acho que a última vez que consegui acessar essa configuração da pagina do item no “Personalizar” foi antes dessa última atualização do Blocksy.

Valeu, abraços

É não tem relação com o WP mesmo não… mas cara, tô testando aqui com o Blocksy mais recente e não rola nada do tipo…

Algumas perguntas, pra ajudar a gente aqui:

  • Tem outros plugins que vc tá usando?
  • Isto rola só dentro das singles dos itens ou tbm rola nas singles dos posts?

Oi @mateus.m.luna, está rolando apenas nas singles dos itens a dos posts está rolando normal. Tenho sim outros plugins instalados: EWWW Image Optimizer, Getwid, Really Simple SSL, UpdraftPlus - Backup/Restore, WP Super Cache. Fiz testes de desativar e ir vendo se o erro deixava de acontecer mas nada. O lance é que está acontecendo no meu local também onde só tenho o tainacan e o suporte para Blocksy. Tudo muito estranho. Vou seguir pesquisando sobre esse Type Error que o console me mostra.
Se o erro não acontece com você por aí tem coisa errada por aqui.
Se eu conseguir solucionar volto aqui no tópico pra falar o que era.
Muito obrigado
abraços

Poisé, também estou testando em mais de uma instalação aqui e ainda não consegui. Se o erro persistir e você quiser me chamar no privado aqui podemos tentar marcar uma conversa para debugar juntos, OK?

Beleza! Muito obrigado, qualquer coisa te chamo sim.

abraços

Olá @mateus.m.luna tudo bem? Voltando aqui…
Cara, recebi ajuda de um amigo e acredito que encontramos o problema. Quando foi disponibilizada a versão 0.1.10 do “Suporte Tainacan para Blocksy” eu atualizei o plugin pelo painel do WP mesmo, ali quando aparece o aviso na pagina de plugins. Desconfiando que o problema poderia ter sido causado nessa atualização, fiz um downgrade para versão 0.1.9 baixando ela do repo do github. Com a versão antiga tudo voltou ao normal. O lance foi que decidimos baixar do github a versão 0.1.10 e enviar ela pelo adicionar plugins e tudo funcionou também. O erro do menu dos itens não apareceu mais. Parece que a versão mais recente que foi disponibilizada no repositório do WP não bate com a do github.
Comparando os dois meu camarada comentou que está faltando alguns arquivos na versão do WP, não manjo disso então deixo aqui as imagens que ele me mandou apontando quais seriam esses arquivos:



Por aqui problema resolvido com a versão do github!

abraços

1 Like

Eita cara, valeu, vou dar uma olhada! Se for isso é bem grave mesmo, pode ter dado algum problema na hr de reenviamos os arquivos pro SVN do Wordpress…

Pronto @thiagomonteiro.geo, acho que arrumamos lá no SVN. Você pode testar a instalação pelo WP?

@mateus.m.luna fiz a instalação pelo repositório do wordpress e tudo está funcionando perfeitamente.

Obrigado !
Abraços

1 Like